Donation queue consumer crash on unknown country
Closed, ResolvedPublic

Description

See donations_queue_consume-20171009-182702.log - We should either import the thing anyway, or drop it in the damaged db and continue with the next donation

Ejegg created this task.Oct 9 2017, 9:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2017, 9:47 PM
Ejegg added a comment.Oct 9 2017, 11:52 PM

This is a DB Error: constraint violation

DStrine triaged this task as High priority.Oct 10 2017, 8:28 PM

Change 383897 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] PayPal: map Netherlands Antilles to Netherlands

https://gerrit.wikimedia.org/r/383897

Change 383900 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Drop addresses without country

https://gerrit.wikimedia.org/r/383900

XenoRyet reassigned this task from XenoRyet to Ejegg.Oct 12 2017, 7:35 PM
XenoRyet added a subscriber: XenoRyet.

Change 383897 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] PayPal: map Netherlands Antilles to Netherlands

https://gerrit.wikimedia.org/r/383897

Change 383900 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Drop addresses without country

https://gerrit.wikimedia.org/r/383900

OK, this particular badness won't crash our queue consumer any more, but we need to deal with the general problem: T178104

Ejegg closed this task as Resolved.Oct 12 2017, 8:16 PM

The previously-crashy ones have been re-queued via the audit files, and the re-import did not crash. We did lose the mailing address data.